HyperSpy 0.8.3 and 0.8.4 have been released!

Published on 2016-03-03 00:00:00

We are pleased to announce the release of HyperSpy 0.8.3 and 0.8.4.

HyperSpy 0.8.3 is a maintenance release that fixes 15 bugs, adds compatibility with IPython 4, introduces important API changes, enhances FEI file reading support, polishes some existing features and adds some new ones. Upgrading is highly recommended. See the release notes for more details. HyperSpy 0.8.3 is set to be the latest release for Python 2.

HyperSpy 0.8.4 adds support for Python 3 and drops support for Python 2. It is identical in all other respects to HyperSpy 0.8.3.

Important: the way to start HyperSpy changes (again) with this release. For details refer to the Starting HyperSpy section of the User Guide.